org.eclipse.cdt.utils.envvar

## Class EnvironmentCollector

- java.lang.Object
- - org.eclipse.cdt.utils.envvar.EnvironmentCollector

    public class EnvironmentCollector
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EnvironmentCollector()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IEnvironmentVariable` `addVariable(IEnvironmentVariable var)`
`void` `addVariables(IEnvironmentVariable[] vars)`
`IEnvironmentVariable` `getVariable(String name)`
`IEnvironmentVariable[]` `getVariables()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EnvironmentCollector

    public EnvironmentCollector()

### Method Detail

#### addVariable

    public IEnvironmentVariable addVariable(IEnvironmentVariable var)

#### addVariables

    public void addVariables(IEnvironmentVariable[] vars)

#### getVariable

    public IEnvironmentVariable getVariable(String name)

#### getVariables

    public IEnvironmentVariable[] getVariables()